---
title: MediaRecorder.mimeType
slug: Web/API/MediaRecorder/mimeType
tags:
  - API
  - Audio
  - Media
  - MediaRecorder
  - MediaRecorder API
  - MediaStream Recording
  - Property
  - Reference
  - Video
  - mimeType
---
<div>{{APIRef("MediaStream Recording")}}</div>

<p><span class="seoSummary">The <strong><code>mimeType</code></strong> read-only property returns the {{Glossary("MIME")}} media type that was specified when creating the {{domxref("MediaRecorder")}} object, or, if none was specified, which was chosen by the browser.</span> This is the file format of the file that would result from writing all of the recorded data to disk.</p>

<p>Keep in mind that not all codecs are supported by a given container; if you write media using a codec that is not supported by a given media container, the resulting file may not work reliably if at all when you try to play it back. See our <a href="/en-US/docs/Web/Media/Formats">media type and format guide</a> for information about container and codec support across browsers.</p>

<div class="notecard note">
<p><strong>Note:</strong> The term "MIME type" is officially considered to be historical; these strings are now officially known as <strong>media types</strong>. MDN Web Docs content uses the terms interchangeably.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mimeType</em> = <em>mediaRecorder</em>.mimeType</pre>

<h3 id="Value">Value</h3>

<p>The MIME media type which describes the format of the recorded media, as a {{domxref("DOMString")}}. This string <em>may</em> include the <a href="/en-US/docs/Web/Media/Formats/codecs_parameter"><code>codecs</code> parameter,</a> giving details about the codecs and the codec configurations used by the media recorder.</p>

<p>The media type strings are standardized by the Internet Assigned Numbers Authority (IANA). For their official list of defined media type strings, see the article <a href="https://www.iana.org/assignments/media-types/media-types.xhtml">Media Types</a> on the IANA site. See also <a href="/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">media types</a> to learn more about media types and how they're used in web content and by web browers.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">...

if (navigator.mediaDevices) {
  console.log('getUserMedia supported.');

  var constraints = { audio: true, video: true };
  var chunks = [];

  navigator.mediaDevices.getUserMedia(constraints)
    .then(function(stream) {
      var options = {
        audioBitsPerSecond: 128000,
        videoBitsPerSecond: 2500000,
        mimeType: 'video/mp4'
      }
      var mediaRecorder = new MediaRecorder(stream,options);
      m = mediaRecorder;

      m.mimeType; // would return 'video/mp4'
      ...
    })
    .catch(function(error) {
      console.log(error.message);
    });
</pre>

<p>Changing line 14 to the following causes <code>MediaRecorder</code> to try to use AVC Constrained Baseline Profile Level 4 for video and AAC-LC (Low Complexity) for audio, which is good for mobile and other possible resource-constrained situations.</p>

<pre class="brush: js">mimeType: 'video/mp4; codecs="avc1.424028, mp4a.40.2"'</pre>

<p>Assuming this configuration is acceptable to the user agent, the value returned later by <code>m.mimeType</code> would then be <code>video/mp4; codecs="avc1.424028, mp4a.40.2"</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("MediaStream Recording", "#dom-mediarecorder-mimetype", "MediaRecorder.mimeType")}}</td>
   <td>{{Spec2("MediaStream Recording")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.mimeType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
 <li><a href="/en-US/docs/Web/Media/Formats/codecs_parameter">The "codecs" parameter in common media types</a></li>
 <li><a href="https://mdn.github.io/web-dictaphone/">Web Dictaphone</a>: MediaRecorder + getUserMedia + Web Audio API visualization demo, by <a href="https://twitter.com/chrisdavidmills">Chris Mills</a> (<a href="https://github.com/mdn/web-dictaphone/">source on Github</a>.)</li>
 <li><a href="http://simpl.info/mediarecorder/">simpl.info MediaStream Recording demo</a>, by <a href="https://twitter.com/sw12">Sam Dutton</a>.</li>
 <li>{{domxref("MediaDevices.getUserMedia()")}}</li>
</ul>
